import { EmitterContext, ExportFlexCommandShape, PrebuildEmitter, ProcessedCommandEmitter } from 'side-code-export';
import { CommandShape } from '@seleniumhq/side-model';
export declare const emitters: Record<string, ProcessedCommandEmitter>;
declare function register(command: string, emitter: PrebuildEmitter): void;
declare function emit(command: CommandShape, context: EmitterContext): Promise<ExportFlexCommandShape>;
declare function emitWaitForWindow(): Promise<{
    name: string;
    commands: {
        level: number;
        statement: string;
    }[];
    generateMethodDeclaration: (name: string) => {
        body: string;
        terminatingKeyword: string;
    };
}>;
declare function emitNewWindowHandling(command: CommandShape, emittedCommand: ExportFlexCommandShape): Promise<string>;
declare const _default: {
    emit: typeof emit;
    emitters: Record<string, ProcessedCommandEmitter>;
    extras: {
        emitNewWindowHandling: typeof emitNewWindowHandling;
        emitWaitForWindow: typeof emitWaitForWindow;
    };
    register: typeof register;
};
export default _default;
//# sourceMappingURL=command.d.ts.map